%define name 	gds-swig
%define version 3.0.1
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%define _sysconfdir /etc
%define config_runflag --sysconfdir=%{_sysconfdir}
%define config_pygds --enable-python

%define check_python3 ( 0%{?__python3:1} || ( 0%{?rhel} >= 7 ) )

%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

Name: 		%{name}
Summary: 	gds-swig 3.0.1
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems SWIG bindings
Source: 	https://software.igwn.org/lscsoft/source//%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.lsc-group.phys.uwm.edu/daswg/projects/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc
BuildRequires:  automake autoconf libtool m4 make
BuildRequires:  gzip bzip2 libXpm-devel
BuildRequires: python3-rpm-macros
%if check_python3
BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-numpy
%endif
BuildRequires:  readline-devel fftw-devel swig
BuildRequires:  jsoncpp-devel
BuildRequires:  gds-base-devel >= 3.0.1
BuildRequires:  gds-lsmp-devel >= 3.0.1
BuildRequires:  gds-frameio-devel >= 3.0.1
Requires:       gds-base >= 3.0.1
Requires:       gds-lsmp >= 3.0.1
Requires:       gds-frameio-base >= 3.0.1
Prefix:		      %prefix

%description
Global diagnostics software SWIG bindings

%package -n python%{python3_pkgversion}-gds
Summary: 	Python wrapper for gds classes
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Provides:  gds-pygds = %{version}-%{release}%{?dist}
Obsoletes: gds-pygds <= 2.19.5
Requires: %{name} = %{version}-%{release}
Requires: gds-frameio-base >= 3.0.1
Requires: gds-lsmp >= 3.0.1

%description -n python%{python3_pkgversion}-gds
Python wrappers of some of the most useful GDS classes.

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

%if 0%{?rhel} < 8
CXXFLAGS="-std=c++11"
export CXXFLAGS
%endif

%if %check_python3
PYTHON3=%{__python3}
PYTHON3_VERSION=%{python3_version}
export PYTHON3 PYTHON3_VERSION
%endif

export PKG_CONFIG_PATH ROOTSYS
./configure  \
    PYTHON=${PYTHON3} \
    PYTHON_VERSION=${PYTHON3_VERSION} \
    --prefix=%prefix --libdir=%{_libdir} \
	  --includedir=%{prefix}/include/%{name} \
	  %{config_pygds} %{config_runflag}
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files

%files -n python%{python3_pkgversion}-gds
%{python3_sitearch}/gds/*

%changelog
* Tue Mar 05 2024 Edward Maros <ed.maros@ligo.org> - 3.0.1-1
- Updated for release as described in NEWS.md

* Sat Nov 19 2022 Edward Maros <ed.maros@ligo.org> - 3.0.0-1
- Updated for release as described in NEWS.md

* Wed Nov 02 2022 Edward Maros <ed.maros@ligo.org> - 2.19.6-1
- Updated for release as described in NEWS.md

* Tue Apr 19 2022 Edward Maros <ed.maros@ligo.org> - 2.19.5-1
- Updated for release as described in NEWS.md

* Fri May 07 2021 Edward Maros <ed.maros@ligo.org> - 2.19.4-1
- Updated for release as described in NEWS.md

* Wed Feb 17 2021 Edward Maros <ed.maros@ligo.org> - 2.19.3-1
- Modified Source field of RPM spec file to have a fully qualified URI

* Tue Feb 02 2021 Edward Maros <ed.maros@ligo.org> - 2.19.2-1
- Corrections to build rules

* Fri Nov 20 2020 Edward Maros <ed.maros@ligo.org> - 2.19.1-1
- Split lowlatency as a separate package
